Subject: bug#33499: file-5.33 doesn't detect berkeley-db files correctly

From: Julien Lepiller <[email-masked]>
Date: Sun, 25 Nov 2018 13:10:48 +0100

Hi,

our file on core-updates (soon to be master), fails to detect
berkeley-db files correctly. I've sent a bug report upstream about this
issue here: https://bugs.astron.com/view.php?id=54

This issue seems to be only present on file-5.33, and is solved in more
recent versions. I haven't fixed the issue on core-updates because it's
a rebuild-the-world change, and I don't think we can push those anymore
at this stage in core-updates.

This issue affects diffoscope, where a test fails because it doesn't
detect the correct file type. You can reproduce the issue with:

file /path/to/diffoscope/source/tests/data/test1.db

which returns `, created: Thu Jan 1 00:38:24 1970` instead of `Berkeley
DB (Btree, version 9, native byte-order)`.

For now, I've disabled the test in diffoscope, so we can build it.
Other packages might be affected by this bug.